cURL
curl --request POST \
--url https://app.casehealth.ai/api/v1/prior_auths/{prior_auth_id}/supporting_information \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"claim_history": {
"data": [
{
"claim_id": "<string>",
"date": "2023-12-25",
"drug_name": "<string>",
"ndc": "<string>",
"procedure_code": "<string>"
}
]
},
"test_claim": {}
}
'import requests
url = "https://app.casehealth.ai/api/v1/prior_auths/{prior_auth_id}/supporting_information"
payload = {
"claim_history": { "data": [
{
"claim_id": "<string>",
"date": "2023-12-25",
"drug_name": "<string>",
"ndc": "<string>",
"procedure_code": "<string>"
}
] },
"test_claim": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claim_history: {
data: [
{
claim_id: '<string>',
date: '2023-12-25',
drug_name: '<string>',
ndc: '<string>',
procedure_code: '<string>'
}
]
},
test_claim: {}
})
};
fetch('https://app.casehealth.ai/api/v1/prior_auths/{prior_auth_id}/supporting_information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Prior Auths
Add Supporting Information
Submits supporting information for a specific prior authorization including claim history and test claims
POST
/
prior_auths
/
{prior_auth_id}
/
supporting_information
cURL
Authorizations
Path Parameters
Unique identifier of the prior authorization
Body
application/json
Supporting information including claim history and test claims
Response
Supporting information submitted successfully
Status of the submission. Succeeded Failed
⌘I